package com.njcn.product.event.transientes.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.product.event.devcie.pojo.po.PqGdCompany;
import com.njcn.product.event.devcie.pojo.po.PqSubstation;
import com.njcn.product.event.transientes.pojo.param.LargeScreenCountParam;
import com.njcn.product.event.transientes.pojo.po.PqUserLedgerPO;
import com.njcn.product.event.transientes.pojo.vo.EventDetailVO;
import com.njcn.product.event.transientes.pojo.vo.UserLedgerStatisticVO;

import java.util.List;

public interface EventRightService {


    UserLedgerStatisticVO userLedgerStatistic(LargeScreenCountParam param);


    Page<EventDetailVO> rightEventOpen(LargeScreenCountParam param);

    Page<EventDetailVO> rightEventOpenForDetail(LargeScreenCountParam param);


    Page<PqUserLedgerPO>  rightEventDevOpen(LargeScreenCountParam param);




    List<UserLedgerStatisticVO.Inner> rightImportUser(LargeScreenCountParam param);


    PqUserLedgerPO rightImportOpenDetail(LargeScreenCountParam param);



    List<PqGdCompany> gdSelect();

    List<PqSubstation> bdSelect();




    /*-------------------------------------------------------*/
    UserLedgerStatisticVO userLedgerStatisticClone(LargeScreenCountParam param);

    Page<PqUserLedgerPO> rightEventOpenClone(LargeScreenCountParam param);

}
